#! /usr/bin/env node
import commander, { program } from 'commander';
import { getVersionSync } from '@bconnorwhite/module';

function makeReadCommand() {
  const getCmd = new commander.Command('get');
  getCmd
    .description('Returns given variable from env file (if specified)')
    .option('-f, --file <filePath>', 'Input file to parse (if not given, stdio is used)')
    .argument('<key>', 'env variable name a.k.a. key')
    .action((key) => {
        const options = program.opts();
      console.log(options);
      console.log('heat jug', key);
    });

  return getCmd;
}

program
  .name('dotenv-tool')
  .description('Tool to read and update .env files')
  .version(getVersionSync(__dirname) || '1.0.0', '-v, --version')
  .argument('[paramsToSet]', 'space separated list of additional envs to set, in format key=value', '')
  .option('-f, --files <filePaths...>', 'Input file(s)')
  .option('-o, --outputFile <filePath>', 'Output file')
  .option('-m, --modify', 'Modify first input file')
  .action((paramsToSet) => {
    console.log('got', paramsToSet);
    const options = program.opts();
    console.log(options);
  })
  .addCommand(makeReadCommand())

  .parse(process.argv);


